about summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2015-10-19 21:12:46 +0000
committerEric Wong <e@80x24.org>2015-10-19 21:18:07 +0000
commit495ee76f9168523e10b9e343a22e21e183e81d41 (patch)
treec6b038678d6509b39cf3501d20fbf935754cfaa1
parent4e42b60205ebb2ead8535e77658ccffb206346f1 (diff)
Current versions of RubyGems still complains about the '+'
is valid according to: http://spdx.org/licenses
-rw-r--r--rainbows.gemspec10
1 files changed, 7 insertions, 3 deletions
diff --git a/rainbows.gemspec b/rainbows.gemspec
index 3410197..afc8b5a 100644
--- a/rainbows.gemspec
+++ b/rainbows.gemspec
@@ -53,7 +53,11 @@ Gem::Specification.new do |s|
   # NeverBlock, currently only available on http://gems.github.com/
   # s.add_dependency(%q<espace-neverblock>, ["~> 0.1.6.1"])
 
-  # We inherited the Ruby 1.8 license from Mongrel, so we're stuck with it.
-  # GPLv3 is preferred.
-  s.licenses = ["GPLv2+", "Ruby 1.8"]
+  # Note: To avoid ambiguity, we intentionally avoid the SPDX-compatible
+  # 'Ruby' here since Ruby 1.9.3 switched to BSD-2-Clause license while
+  # we already inherited our license from Mongrel during Ruby 1.8.
+  # We cannot automatically switch licenses when Ruby changes their license,
+  # so we remain optionally-licensed under the terms of Ruby 1.8 despite
+  # not having a good way to specify this in an SPDX-compatible way...
+  s.licenses = ['GPL-2.0+', 'Nonstandard'] # Nonstandard = 'Ruby 1.8'
 end